Package com.tietoenator.trip.jxp.session

# Class TdbLocalSession

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSession
com.tietoenator.trip.jxp.session.TdbLocalSession

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbLocalSession extends TdbSession
A session type for direct local connections via JNI linkage. This session type requires that the tripjxp_local.jar file is on the class path and that its associated native library (jxplocal.dll or libjxplocal.so, depending on platform) is on the library path or specified using the system property java.library.path.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbLocalSession()`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getServerName()`
  The name of the TRIP server that the session is connected to.

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSession

  `authenticate, dateforms, enableLogging, enableNotification, enableNotification, fieldTypes, getActivityLog, getApiKeyMode, getBackgroundTaskSink, getBuildNumber, getCharacterSet, getCharacterSetName, getControlCache, getCurrentDateform, getDateform, getDefaultQueueName, getDefinedViews, getFieldType, getFieldType, getJobResultSink, getNotificationSink, getPid, getRevisionNumber, getServerApiLog, getServerXpiLog, getSessionId, getSessionType, getSubsystemID, getSubsystemName, getUsername, getVersion, hasLogCheckpoint, isApiLogEnabled, isConnected, isFileManager, isLicensedFor, isLoggedIn, isSystemManager, isTicketsEnabled, isTokensEnabled, isUserManager, isWorking, isXpiLogEnabled, licensedProducts, login, login, logout, logout, pollJobResults, refreshAccessToken, requestAccessToken, requestLoginTicket, revokeLoginTicket, revokeToken, revokeTokens, setActivityLog, setBackgroundTaskSink, setJobResultSink, setLogCheckpoint, setNotificationSink, subsystemNames, supportsFeature, validate, writeActivityLog`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbLocalSession

    public TdbLocalSession() throws TdbException
    Constructor
    Throws:
      `TdbException` - If the JXP local classes or the JNI library could not be loaded.

- ## Method Details

  - ### getServerName

    public String getServerName()
    The name of the TRIP server that the session is connected to. This method always returns "localhost", the standard hostname for the loopback network interface.
    Overrides:
      `getServerName` in class `TdbSession`